package com.pcloud.book.giftcoupon.dao;

import com.pcloud.book.applet.dto.AppletNewsCategoryDTO;
import com.pcloud.book.applet.entity.AppletNewsCategory;
import com.pcloud.book.giftcoupon.dto.GiftCategoryDTO;
import com.pcloud.book.giftcoupon.dto.GiftPackageDTO;
import com.pcloud.book.giftcoupon.entity.GiftCategory;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;
import java.util.Map;

public interface GiftCategoryDao extends BaseDao<GiftCategory> {

    void batchCreate(List<GiftCategory> categoryList);

    void deleteByPackageId(Long giftPackageId);

    List<GiftCategoryDTO> getByPackageId(Long giftPackageId);

    List<Long> getTemplateIds(List<Long> packageIds);

    List<Long> getLabels(List<Long> packageIds);

    List<GiftCategoryDTO> getByPackageIds(List<Long> packageIds);

    void deleteByPackageIds(List<Long> packageIds);

    List<Long> getByParams(Map<String, Object> map);

    List<Long> getOtherByParams(Map<String, Object> map1);
}
